#include "smgbalib.h"

int main() {

	// get ready for some displayin'
	Initialize();
	
	// main loop - should never exit it
	while(1) {
		// all rendering happens in the back buffer
		EraseScreenNoPaletteNoFlip();
		// This text will be displayed with less spacing between characters, to save some room!
		WriteStringNarrow( 0, 152, "Press any buttons on the gameboy!" );
		
		// more than one can be pressed at once
		if( IS_START_PRESSED )
			WriteStringWide( 0, 0, "Start button" );
		
		if( IS_SELECT_PRESSED )
			WriteStringWide( 0, 8, "Select button" );

		if( IS_A_PRESSED )
			WriteStringWide( 0, 16, "A button" );

		if( IS_B_PRESSED )
			WriteStringWide( 0, 24, "B button" );

		if( IS_SHOULDER_RIGHT_PRESSED )
			WriteStringWide( 0, 32, "Right shoulder button" );

		if( IS_SHOULDER_LEFT_PRESSED )
			WriteStringWide( 0, 40, "Left shoulder button" );

		if( IS_RIGHT_PRESSED )
			WriteStringWide( 0, 48, "Right keypad" );

		if( IS_LEFT_PRESSED )
			WriteStringWide( 0, 56, "Left keypad" );

		if( IS_UP_PRESSED )
			WriteStringWide( 0, 64, "Up keypad" );

		if( IS_DOWN_PRESSED )
			WriteStringWide( 0, 72, "Down keypad" );

		// flip buffers, bringing the back one to the screen
		Flip();
	}
	
	return 0;
}
